<section *ngIf="postCodeList">


    <h1>{{ postCodeList.Area }}, {{ postCodeList.ShortResultText }}</h1>
    
    <mat-divider inset></mat-divider>

    <h6 style="text-align: right;">{{ postCodeList.Restaurants.length }} results found</h6>



    <main *ngIf="postCodeList.Restaurants.length; else norestaurants">
        
        <locations-filters></locations-filters>

        <div class="card-list">
            <location-restaurant-card *ngFor="let restaurant of postCodeList.Restaurants" class="restaurant-card"
                [restaurant]="restaurant">
            </location-restaurant-card>
        </div>

    </main>



    <ng-template #norestaurants>
        No restaurants were found for this Post Code.
        Try again with a different one
    </ng-template>


</section>